summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/check_for_upgrade.sh6
-rwxr-xr-xtools/install.sh2
2 files changed, 6 insertions, 2 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index 0f8c9c391..8b8ecae03 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -5,7 +5,7 @@ function _current_epoch() {
}
function _update_zsh_update() {
- echo "LAST_EPOCH=$(_current_epoch)" > ~/.zsh-update
+ echo "LAST_EPOCH=$(_current_epoch)" >! ~/.zsh-update
}
function _upgrade_zsh() {
@@ -22,6 +22,10 @@ fi
[ -f ~/.profile ] && source ~/.profile
+# Cancel upgrade if the current user doesn't have write permissions for the
+# oh-my-zsh directory.
+[[ -w "$ZSH" ]] || return 0
+
if [ -f ~/.zsh-update ]
then
. ~/.zsh-update
diff --git a/tools/install.sh b/tools/install.sh
index 71e19a389..fc7ad70cf 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -10,7 +10,7 @@ if [ -d "$ZSH" ]; then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+hash git >/dev/null 2>&1 && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
echo "git not installed"
exit
}